unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls, Menus, MPlayer, uAcerca;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Panel1: TPanel;
    Image7: TImage;
    Panel2: TPanel;
    Image1: TImage;
    Panel3: TPanel;
    Image2: TImage;
    Panel4: TPanel;
    Image3: TImage;
    Panel6: TPanel;
    Image5: TImage;
    Panel7: TPanel;
    Image6: TImage;
    MainMenu1: TMainMenu;
    Archivo1: TMenuItem;
    Instrumento1: TMenuItem;
    Salir1: TMenuItem;
    Multimetros1: TMenuItem;
    MultmetroDual1: TMenuItem;
    Generadordefunciones1: TMenuItem;
    Fuentedealimentacin1: TMenuItem;
    MultmetroHC60001: TMenuItem;
    MultmetroFluke731: TMenuItem;
    MultmetroPHYWE1: TMenuItem;
    MultmetroDemestres20011: TMenuItem;
    Ayuda1: TMenuItem;
    AcercadeInstut1: TMenuItem;
    Image8: TImage;
    Image9: TImage;
    MediaPlayer1: TMediaPlayer;
    Image10: TImage;
    Image11: TImage;
    Panel8: TPanel;
    Image12: TImage;
    Timer1: TTimer;
    Image4: TImage;
    Image13: TImage;
    Image14: TImage;
    Image15: TImage;
    Image16: TImage;
    Image17: TImage;
    Image18: TImage;
    Image19: TImage;
    Image20: TImage;
    Image21: TImage;
    Image22: TImage;
    Image23: TImage;
    Image24: TImage;
    Image25: TImage;
    Image26: TImage;
    Image27: TImage;
    Image28: TImage;
    Opciones1: TMenuItem;
    Sonido1: TMenuItem;
    Contenidos1: TMenuItem;
    N1: TMenuItem;
    procedure Salir1Click(Sender: TObject);
    procedure Image7Click(Sender: TObject);
    procedure Image6Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure Image12Click(Sender: TObject);
    procedure Image5Click(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure Image3Click(Sender: TObject);
    procedure Image6MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Sonido1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Image7MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image12MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image3MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image5MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure MultmetroDual1Click(Sender: TObject);
    procedure MultmetroHC60001Click(Sender: TObject);
    procedure MultmetroFluke731Click(Sender: TObject);
    procedure MultmetroPHYWE1Click(Sender: TObject);
    procedure MultmetroDemestres20011Click(Sender: TObject);
    procedure Generadordefunciones1Click(Sender: TObject);
    procedure Fuentedealimentacin1Click(Sender: TObject);
    procedure AcercadeInstut1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  vimages: array [1..4] of TImage;
  imact: integer;

implementation
uses unitgen;
{$R *.DFM}


procedure TForm1.Salir1Click(Sender: TObject);
begin
     close;
end;

procedure TForm1.Image7Click(Sender: TObject);
begin
     vimages[1]:=image7;
     vimages[2]:=image8;
     vimages[3]:=image4;
     vimages[4]:=image13;
     imact:=0;
     Timer1.enabled:=true;
     if sonido then Mediaplayer1.play;
end;

procedure TForm1.Image6Click(Sender: TObject);
begin
     vimages[1]:=image6;
     vimages[2]:=image9;
     vimages[3]:=image10;
     vimages[4]:=image11;
     imact:=0;
     Timer1.enabled:=true;
     if sonido then MediaPlayer1.play;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
     imact:=imact+1;
     vimages[imact].hide;
     if (imact<4) then
        vimages[imact+1].show
     else
         begin
              mediaplayer1.stop;
              case vimages[1].tag of
                   1: fg110;{Generador de funciones}
                   2: phywe;{Multimetro PHYWE}
                   3: demestres;{Multimetro Demestres 2001}
                   5: hc6000; {Multimetro HC6000}
                   6: fluke45; {Multimetro dual}
                   7: promax;{Fuente alimentacion}
                   12: fluke73; {Multimetro fluke73}
                   else begin end;
              end;
              Timer1.enabled := false;
         end;
end;

procedure TForm1.Image1Click(Sender: TObject);
begin
     vimages[1]:=image1;
     vimages[2]:=image14;
     vimages[3]:=image15;
     vimages[4]:=image16;
     imact:=0;
     Timer1.enabled:=true;
     if sonido then MediaPlayer1.play;
end;
procedure TForm1.Image12Click(Sender: TObject);
begin
     vimages[1]:=image12;
     vimages[2]:=image17;
     vimages[3]:=image18;
     vimages[4]:=image19;
     imact:=0;
     Timer1.enabled:=true;
     if sonido then MediaPlayer1.play;
end;

procedure TForm1.Image5Click(Sender: TObject);
begin
     vimages[1]:=image5;
     vimages[2]:=image20;
     vimages[3]:=image21;
     vimages[4]:=image22;
     imact:=0;
     Timer1.enabled:=true;
     if sonido then MediaPlayer1.play;
end;

procedure TForm1.Image2Click(Sender: TObject);
begin
     vimages[1]:=image2;
     vimages[2]:=image23;
     vimages[3]:=image24;
     vimages[4]:=image25;
     imact:=0;
     Timer1.enabled:=true;
     if sonido then MediaPlayer1.play;
end;

procedure TForm1.Image3Click(Sender: TObject);
begin
     vimages[1]:=image3;
     vimages[2]:=image26;
     vimages[3]:=image27;
     vimages[4]:=image28;
     imact:=0;
     Timer1.enabled:=true;
     if sonido then MediaPlayer1.play;
end;

procedure TForm1.Image6MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
     Image6.cursor:=CR;
end;

procedure TForm1.Sonido1Click(Sender: TObject);
begin
sonido1.checked := not(sonido1.checked);
if Sonido1.checked then sonido:=true
else sonido:=false;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
Screen.cursors[CR]:=cur;
sonido1.checked := sonido;
end;

procedure TForm1.Image7MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
     Image7.cursor:=CR;
end;

procedure TForm1.Image12MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
     Image12.cursor:=CR;
end;

procedure TForm1.Image3MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
     Image3.cursor:=CR;
end;

procedure TForm1.Image5MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
     Image5.cursor:=CR;
end;

procedure TForm1.Image2MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
     Image2.cursor:=CR;
end;

procedure TForm1.Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
     Image1.cursor:=CR;
end;

procedure TForm1.MultmetroDual1Click(Sender: TObject);
begin
     mediaplayer1.stop;
     fluke45; {Multimetro dual}
end;

procedure TForm1.MultmetroHC60001Click(Sender: TObject);
begin
     mediaplayer1.stop;
     hc6000;
end;

procedure TForm1.MultmetroFluke731Click(Sender: TObject);
begin
     mediaplayer1.stop;
     fluke73;
end;

procedure TForm1.MultmetroPHYWE1Click(Sender: TObject);
begin
     mediaplayer1.stop;
     phywe;
end;

procedure TForm1.MultmetroDemestres20011Click(Sender: TObject);
begin
     mediaplayer1.stop;
     demestres;
end;

procedure TForm1.Generadordefunciones1Click(Sender: TObject);
begin
     mediaplayer1.stop;
     fg110;
end;

procedure TForm1.Fuentedealimentacin1Click(Sender: TObject);
begin
     mediaplayer1.stop;
     promax;
end;

procedure TForm1.AcercadeInstut1Click(Sender: TObject);
begin
     FormAcerca.showmodal;
end;

end.
